﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinTree;

namespace WindowsFormsApplication33
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = DummyDataCreator.GetData(10, new Type[] {typeof(string), typeof(string), typeof(string)});
            UltraTreeColumnSet columnSet = UltraTreeColumnSet.FromDataSource(dt);
            ultraTree1.ColumnSettings.RootColumnSet = columnSet;

            ultraTree1.ViewStyle = ViewStyle.OutlookExpress;
            ultraTree1.FullRowSelect = true;
            ultraTree1.ShowLines = false;
            this.ultraTree1.ShowRootLines = false;
            
            UltraTreeNode node1 = this.ultraTree1.Nodes.Add("Reminders");
            node1.Cells["String 1"].Value = "Reminders";
            node1.Override.NodeAppearance.BackColor = Color.DarkRed;
            node1.Override.NodeAppearance.ForeColor = Color.White;

            UltraTreeNode node11 = node1.Nodes.Add("Due Now");
            node11.Cells["String 1"].Value = "Due Now";
            node11.Override.NodeAppearance.BackColor = Color.DarkSalmon;
            
            node11.Nodes.SetDataBinding(dt, null);
            ultraTree1.ExpandAll(ExpandAllType.OnlyNodesWithChildren);
        }
    }
}
